%define	name	evfs
%define	version 0.0.1
%define cvsdate 20080601
%define release %mkrel 4.%cvsdate.3

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

Summary: 	Enlightenment virtual file system
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		System/Libraries
URL: 		http://get-e.org/
Source: 	%{name}-%{version}.%{cvsdate}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libsmbclient-devel libxml2-devel curl-devel bzip2-devel
BuildRequires:	ecore-devel >= 0.9.9.038, eet-devel >= 0.9.10.038
BuildRequires:	efreet-devel
buildrequires:	sqlite3-devel
BuildRequires:	gdb jade
BuildRequires:	libextractor-devel
BuildRequires:	libgsf-devel

%description
Enlightenment virtual file system.
This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}
Obsoletes: %mklibname -d evfs 0

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README NEWS TODO
%{_bindir}/%name
%{_bindir}/evfscat
%{_bindir}/evfscopy
%{_bindir}/evfsdemo
%{_bindir}/evfsworker
%{_libdir}/%name

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/%name


%changelog
* Thu Aug 07 2008 Funda Wang <fundawang@mandriva.org> 0.0.1-4.20080601.3mdv2009.0
+ Revision: 266881
- BR libgsf-devel

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Funda Wang <fundawang@mandriva.org> 0.0.1-3.20080601.3mdv2009.0
+ Revision: 214291
- Br libextractor

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.0.1-3.20080601.2mdv2009.0
+ Revision: 214113
- new devel package policy

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.0.1-3.20080601.1mdv2009.0
+ Revision: 214054
- br efreet
- New cvs snapshot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Antoine Ginies <aginies@mandriva.com>
    - increase release
    - adjust sqlite3-devel buildrequires

* Sat May 26 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1-1mdv2008.0
+ Revision: 31305
- add sqlite3_0-devel buildrequires
- adjust buildrequires, CVS snapshot 20070524


* Sun Mar 18 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.1-0.20060323.2mdv2007.1
+ Revision: 146020
- Rebuild for libcurl
- %%mkrel
- Import evfs

* Sat Mar 25 2006 Austin Acton <austin@mandriva.org> 0.0.1-0.20060323.1mdk
- initial package

